### Method

# FwupdPlugin Device has_parent_physical_id

#### Declaration [src]

    gboolean
    fu_device_has_parent_physical_id (
      FuDevice* self,
      const gchar* physical_id
    )

#### Description [src]

Searches the list of parent IDs for a string match.

Available since: | 1.6.2

#### Parameters

`physical_id` | `const gchar*`
| A device physical ID.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if the parent ID exists.